VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Notfication Class Reference

`Snmp.SNMPv3Notfication` enumerated type Defines SNMP v3 notification types More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, inform, trap }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static SNMPv3Notfication[] | GetValues ()
static SNMPv3Notfication | ValueOf (string name)
## Static Public Attributes
static readonly SNMPv3Notfication | inform = new SNMPv3Notfication("inform", Values.inform)
| inform
static readonly SNMPv3Notfication | trap = new SNMPv3Notfication("trap", Values.trap)
| trap

## Detailed Description

`Snmp.SNMPv3Notfication` enumerated type Defines SNMP v3 notification types

## Member Enumeration Documentation

enum vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Notfication::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  inform | inform
  trap | trap

## Member Function Documentation

Values vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Notfication::GetEnumValue | ( |  | ) | `[inline]`

static SNMPv3Notfication [] vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Notfication::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Notfication::IsUnknown | ( |  | ) | `[inline]`

static SNMPv3Notfication vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Notfication::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly SNMPv3Notfication vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Notfication::inform = new SNMPv3Notfication("inform", Values.inform)`[static]`

inform

readonly SNMPv3Notfication vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv3Notfication::trap = new SNMPv3Notfication("trap", Values.trap)`[static]`

trap

The documentation for this class was generated from the following file:

- SnmpTypes.cs